// +build !ignore_autogenerated

/*
Copyright 2019 The Knative Authors

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by openapi-gen. DO NOT EDIT.

// This file was autogenerated by openapi-gen. Do not edit it manually!

package v1alpha1

import (
	spec "github.com/go-openapi/spec"
	common "k8s.io/kube-openapi/pkg/common"
)

func GetOpenAPIDefinitions(ref common.ReferenceCallback) map[string]common.OpenAPIDefinition {
	return map[string]common.OpenAPIDefinition{
		"knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServing":       schema_pkg_apis_serving_v1alpha1_KnativeServing(ref),
		"knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServingSpec":   schema_pkg_apis_serving_v1alpha1_KnativeServingSpec(ref),
		"knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServingStatus": schema_pkg_apis_serving_v1alpha1_KnativeServingStatus(ref),
	}
}

func schema_pkg_apis_serving_v1alpha1_KnativeServing(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "KnativeServing is the Schema for the knativeservings API",
				Properties: map[string]spec.Schema{
					"kind": {
						SchemaProps: spec.SchemaProps{
							Description: "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"apiVersion": {
						SchemaProps: spec.SchemaProps{
							Description: "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"metadata": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"),
						},
					},
					"spec": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServingSpec"),
						},
					},
					"status": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServingStatus"),
						},
					},
				},
			},
		},
		Dependencies: []string{
			"knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServingSpec", "knative.dev/serving-operator/pkg/apis/serving/v1alpha1.KnativeServingStatus", "k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"},
	}
}

func schema_pkg_apis_serving_v1alpha1_KnativeServingSpec(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "KnativeServingSpec defines the desired state of KnativeServing",
				Properties:  map[string]spec.Schema{},
			},
		},
		Dependencies: []string{},
	}
}

func schema_pkg_apis_serving_v1alpha1_KnativeServingStatus(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "KnativeServingStatus defines the observed state of KnativeServing",
				Properties:  map[string]spec.Schema{},
			},
		},
		Dependencies: []string{},
	}
}
